from abc import abstractmethod, ABCMeta



class IFileService(metaclass=ABCMeta):
    @abstractmethod
    def save(self, filePath, videoList):
        """
        保存到文件，高级参数在init里面写
        :param filePath: 文件保存路径
        :param videoList: 欲保存成目标的实体类list
        :return: void
        """
        pass
